#!/usr/bin/env python3
# -*- coding: utf-8 -*-

from models.base import *
from config import settings
from utils import *
from extensions import logger
from datetime import datetime
from utils.redis_util import *

from common.enc import sys_user_data, sys_post_data, sys_role_data, sys_dept_data, sys_menu_data, sys_menu_layer_data
from common.enc import sys_user_role_data, sys_user_post_data, sys_role_dept_data, sys_role_menu_data
from common.enc import sys_czrz_data
from common.enc import emergency_contact_info_data


# 对数据进行加密处理
def sign_data_proc():
    
    logger.info(datetime.now())

    # 1.系统表
    # 系统用户表
    sys_user_data.sign_table()

    # 系统部门表
    sys_dept_data.sign_table()

    # 系统岗位表
    sys_post_data.sign_table()
    
    # 系统角色表
    sys_role_data.sign_table()

    # 系统菜单表
    sys_menu_data.sign_table()
    
    # 系统图层菜单表
    sys_menu_layer_data.sign_table()
    
    # 2.系统关联表
    # 用户角色表
    sys_user_role_data.sign_table()
    
    # 用户岗位表
    sys_user_post_data.sign_table()
    
    # 角色部门表
    sys_role_dept_data.sign_table()
    
    # 角色菜单表
    sys_role_menu_data.sign_table()

    # 业务表
    # 应急预案人员信息表
    emergency_contact_info_data.sign_table()
    
    # 操作日志表
    sys_czrz_data.sign_table()